# Dioxus (& Rocket) - [letter.werefox.cafe](https://letter.werefox.cafe)

> A re-implementation of the Valentine's Day site I made, but using Rust's [Dioxus](https://dioxuslabs.com/) crate and [Rocket](https://rocket.rs/) crate.

## Usage

### Just build

```
cargo build
```

### Start a `dev-server` for the project:

```
cargo run
```

### Package this project:

```
cargo build --release
```

## Ignore This Section

> **TODO:** Make subcrates for Dioxus and Rocket, should enable dev server for Dioxus while maintaining overall compatibility.

(or, I personally use the following since port `8080` is usually being used and I want hot reloading)

```
dioxus serve --hot-reload --port 8234
```

## Project Structure

```
.project
- public # save the assets you want include in your project.
- src # put your code
- - utils # save some public function
- - data # text files that will be read to for data in the app
- - components # save some custom components
- - templates # put template files here, right now just using handlebar
```
